# Process a Status Change Request Updates the status and sends out the appropriate email Endpoint: PUT /abstracts/{tenantId}/status/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The tenant - `id` (string, required) The ID of the abstract ## Request fields (application/json): - `abstract` (object) Updated abstract - `abstract.approval_process_id` (string) The approval process for this abstract - `abstract.average_score` (number) The average score for this submission in the most recent round - `abstract.body` (string, required) The body of the abstract - `abstract.bucket_id` (string) The review bucket - `abstract.city` (string) The member city - `abstract.co_author_1` (object) - `abstract.co_author_1.email_address` (string) Co author email - `abstract.co_author_1.first_name` (string) The first name of the co-author - `abstract.co_author_1.last_name` (string) The last name of the co-author - `abstract.co_author_1.phone_number` (string) Preferred phone number of the co author - `abstract.co_author_1.speaker_type_id` (string) The co author speaker type - `abstract.co_author_2` (object) - `abstract.co_author_3` (object) - `abstract.co_author_4` (object) - `abstract.co_author_5` (object) - `abstract.co_authors` (array) - `abstract.country` (string) The member country - `abstract.custom_field_values` (array) - `abstract.custom_field_values.boolean_value` (boolean) The boolean value - `abstract.custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `abstract.custom_field_values.file_url_value` (string) The pointer to a file value - `abstract.custom_field_values.list_value` (array) The list value - `abstract.custom_field_values.numeric_value` (number) The numeric value - `abstract.custom_field_values.string_value` (string) The string value of the custom field - `abstract.custom_field_values.table_value` (array) A list of objects (a table) - `abstract.date` (string) The date of abstract submission - `abstract.email_address` (string) The member's email address - `abstract.event_id` (string, required) The ID of the event - `abstract.first_name` (string) The member's first name - `abstract.has_co_authors` (boolean) This abstract has co-authors - `abstract.id` (string, required) The unique, string identifier of this abstract - `abstract.job_title` (string) The member job title - `abstract.last_name` (string) The member's last name - `abstract.last_review_status_change` (string) The date that the review status was last changed - `abstract.main_presenter_id` (string) Id of the presenter of the abstract - `abstract.max_contact_submissions` (number) The max number of abstracts per contact for an event - `abstract.name` (string, required) The member's name - `abstract.notes` (string) - `abstract.number` (number) The abstract number - `abstract.organization_id` (string) The organization of the submitter - `abstract.override_bucket_assignment` (boolean) If set, the bucket is not calculated automatically, and instead manually assigned - `abstract.pending_console_review` (boolean) If true, then this record has been reviewed and now needs action by the staff - `abstract.presenter_info` (object) - `abstract.presenter_info.contact_info` (object) Rolodex contact information of the presenter - `abstract.presenter_info.email_presenter` (boolean) Email of the presenter, if set email is sent here on submission - `abstract.process_id` (string) The process associated with this abstract - `abstract.review_process_id` (string) Review process for which this abstract is assigned - `abstract.review_round_id` (string) Current review round for this abstract - `abstract.review_status` (string) The review status of this application Enum: "accepted", "alternate", "declined", "pending review" - `abstract.reviewer_recommendation` (string) Aggregate recommendation across all reviewers - `abstract.reviews_assigned` (boolean) Have reviews been assigned for this abstract - `abstract.room_ids` (array) The room(s) where the function is located - `abstract.round_id` (string) The review round - `abstract.round_scores` (array) - `abstract.round_scores.round_id` (string, required) The review round for this score - `abstract.round_scores.score` (number, required) The total score across all completed reviews - `abstract.session_has_been_generated` (boolean) Boolean flag indicating whether or not a session has been been generated for this abstract - `abstract.session_track_ids` (array) Session tracks associations for the abstract - `abstract.state` (string) The state - `abstract.status` (string, required) Enum: "accepted", "alternate", "approved/accepted by presenter", "approved/declined by presenter", "approved/pending presenter acceptance", "confirmed", "declined", "draft", "more information needed", "submitted", "under review", "withdrawn" - `abstract.submission_space_id` (string) The submission space to which this object belongs - `abstract.submitter_id` (string, required) Id of the contact that submitted the abstract - `abstract.submitting_on_behalf_of_presenter` (boolean) Bool that identifies if the submitter is different than the presenter - `abstract.sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `abstract.sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `abstract.sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `abstract.sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `abstract.sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `abstract.sys_calculated_field_error` (string) The error associated with the calculated field - `abstract.sys_calculated_field_errors` (array) - `abstract.sys_calculated_field_errors.error` (string) - `abstract.sys_calculated_field_errors.field` (string) - `abstract.sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `abstract.sys_created_at` (string) The date/time that this record was created, expressed in ISO-8601 date format - `abstract.sys_created_by_id` (string) The ID of the user that created this record - `abstract.sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `abstract.sys_directive` (string) Means for passing directive information into an object processing logic - `abstract.sys_external_id` (string) The ID that a record has from an external system or data import - `abstract.sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `abstract.sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `abstract.sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `abstract.sys_last_modified_at` (string) The date/time that this record record was last modified, expressed in ISO-8601 date format - `abstract.sys_last_modified_by_id` (string) The ID of the user that last modified this record - `abstract.sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `abstract.sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `abstract.sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `abstract.sys_version` (number) A number representing the version of this record in the database - `abstract.title` (string, required) The title of the abstract - `abstract.total_score` (number) The total score for this submission in the most recent round - `abstract.type_id` (string, required) The id for the type of abstract - `new_status` (string, required) Enum: "accepted", "alternate", "approved/accepted by presenter", "approved/declined by presenter", "approved/pending presenter acceptance", "confirmed", "declined", "draft", "more information needed", "submitted", "under review", "withdrawn" - `suppress_email_notifications` (boolean) If true, no email goes out ## Response 200 fields (application/json): - `results` (array) - `results.abstract` (object) - `results.error_message` (string) - `results.outcome` (string) Enum: "error", "success" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields